package com.ruoyi.ehsDocTransfer.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 公文流转对象 ehs_doc_transfer
 *
 * @author ruoyi
 * @date 2023-12-07
 */
@Data
@ToString
@NoArgsConstructor
@Accessors(chain = true)
@TableName("ehs_doc_transfer")
public class EhsDocTransfer extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 流转人id
     */
    private Long transferUserId;

    /**
     * 流转人
     */
    @Excel(name = "流转人")
    private String transferName;

    /**
     * 流转时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "流转时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date transferTime;

    /**
     * 公文流转状态
     */
    @Excel(name = "公文流转状态")
    private Integer docTransferStatus;

    /**
     * 公文id
     */
    @Excel(name = "公文id")
    private Long documentId;

    /**
     * 公文名称
     */
    @Excel(name = "公文名称")
    private String documentName;

}
