package com.ruoyi.ehsDocument.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 公文管理对象 ehs_document
 *
 * @author ruoyi
 * @date 2023-12-07
 */
@Data
@ToString
@NoArgsConstructor
@Accessors(chain = true)
@TableName("ehs_document")
public class EhsDocument extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 公文名称
     */
    @Excel(name = "公文名称")
    private String docName;

    /**
     * 公文字号
     */
    @Excel(name = "公文字号")
    private String docFont;

    /**
     * 拟稿部门
     */
    @Excel(name = "拟稿部门")
    private String draftDept;

    /**
     * 公文类型
     */
    @Excel(name = "公文类型")
    private Integer docType;

    /**
     * 公文编号
     */
    @Excel(name = "公文编号")
    private String docNumber;

    /**
     * 收文日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "收文日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date receiveTime;

    /**
     * 状态
     */
    @Excel(name = "状态")
    private Integer status;
}
