package com.ruoyi.ehsFloodDroughtTeam.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.ehsFloodDroughtTeam.domain.EhsFloodDroughtTeam;
import com.ruoyi.ehsFloodDroughtTeam.domain.FloodDroughtTeamImportTemplate;
import com.ruoyi.ehsFloodDroughtTeam.vo.FloodDroughtTeamVo;

/**
 * 防汛抗旱队伍管理Service接口
 *
 * @author ruoyi
 * @date 2023-12-14
 */
public interface IEhsFloodDroughtTeamService extends IService<EhsFloodDroughtTeam> {

    /**
     * 查询防汛抗旱队伍管理
     *
     * @param id 防汛抗旱队伍管理主键
     * @return 防汛抗旱队伍管理
     */
    public EhsFloodDroughtTeam selectEhsFloodDroughtTeamById(Long id);

    /**
     * 查询防汛抗旱队伍管理列表
     *
     * @param ehsFloodDroughtTeam 防汛抗旱队伍管理
     * @return 防汛抗旱队伍管理集合
     */
    public List<EhsFloodDroughtTeam> selectEhsFloodDroughtTeamList(EhsFloodDroughtTeam ehsFloodDroughtTeam);

    /**
     * 批量导入模板数据
     * @param list
     * @param updateSupport
     * @return
     */
    public String importData(List<FloodDroughtTeamImportTemplate> list, Boolean updateSupport) throws Exception;

    /**
     * 防汛抗旱:根据队伍id获取队伍信息
     */
    public FloodDroughtTeamVo getTeamInfoByTeamId(Long teamId);
}
